class DirtBlock extends Block {
  //a sub class of block. used instead of CustomBlock as it has an extra script.
  PImage img1, img2;
  String type;
  
  DirtBlock(float _x, float _y, int _x_list_pos, int _y_list_pos) {
    super(_x, _y, _x_list_pos, _y_list_pos, "dirt_block.png", "dirt", 1, null);
    img1 = texture_manager.get_texture("dirt_block.png");
    img2 = texture_manager.get_texture("dirt_block_top.png");
    item = new Item(texture_manager.get_texture("dirt_block.png"), "block", "dirt");
    super.item = item;
  }
  
  //grow grass over itself if there is not blocks above it
  void update(ArrayList<Light> lights) {
    if (blocks[x_list_pos][y_list_pos-1] == null) {
      super.img = img1.get();
    } else {
      super.img = img2.get();
    }
    super.update(lights);
  }
}