class CyclopsTower extends Enemy {
  int shoot_cooldown, max_shoot_cooldown;
  CyclopsTower(float temp_x, float temp_y, Block[][] temp_blocks) {
    super(temp_x, temp_y, "cyclops tower", "cyclops_tower.png", 100, temp_blocks);
    attack = 3;
    health = 1;
    max_health = 1;
    speed = 0;
    attack_cooldown = 100;
    max_shoot_cooldown = 100;
    shoot_cooldown = max_shoot_cooldown;
  }
  
  void update(Player player) {
    if (shoot_cooldown == 0) {
      for (int i = 0; i < 3; i++) {
        game.enemy_bullets.add(new EnemyBullet(super.location.x, super.location.y, 5, 2000, "cyclops_tower_bullet.png", 3, 0.01, false));
      }
      shoot_cooldown = max_shoot_cooldown;
    } else {
      shoot_cooldown--;
    }
    display();
  }
}