class SandWraith extends Enemy {
  boolean movingDown, movingUp;
  
  SandWraith(float temp_x, float temp_y) {
    super(temp_x, temp_y, "sand wraith", "sand_wraith.png", 70, null);
    attack = 30;
    health = 50;
    max_health = 50;
    speed = 4;
    attack_cooldown = 0;
  }
  
  void update(Player _player) {
    health_check();
    game.enemy_bullets.add(new EnemyBullet(super.location.x, super.location.y, 3, 100, "sand_wraith_bullet.png", 2, 0, true));
    move();
    display();
  }
  
  void move() {
    if (player.x < location.x) {
      movingLeft = true;
      movingRight = false;
    } else {
      movingLeft = false;
      movingRight = true;
    }
    
    if (player.y < location.y) {
      movingDown = true;
      movingUp = false;
    } else {
      movingDown = false;
      movingUp = true;
    }
    
    if (movingLeft) {
      location.x -= speed;
    } else if (movingRight) {
      location.x += speed;
    }
    
    if (movingUp) {
      location.y += speed;
    } else if (movingDown) {
      location.y -= speed;
    }
  }
}